package intfifo;

public interface FIFO {
  // Returns the number of elements of the queue.
  int size ();
  // Adds an element at the end of the queue if there is still room.
  // Throws an exception otherwise.
  void put (int n) throws FullQueueException;
  // Removes and returns the first element of the queue.
  // Throws an exception if the queue is empty.
  int get () throws EmptyQueueException;
}
