package intfifo;

import java.util.PriorityQueue;

public class Queue10 implements FIFO {
  private int max;
  private PriorityQueue<Integer> q = new PriorityQueue<Integer> ();
	
  public Queue10 (int max) {
    this.max = max;
  }
	
  public int size () {
    return q.size();
  }
	
  @Override
  public void put(int n) throws FullQueueException {
    if (size() == max) throw new FullQueueException () ;
    q.add(n);
  }

  @Override
  public int get() throws EmptyQueueException {
    if (size () == 0) throw new EmptyQueueException () ;
    return q.poll();
  }

  @Override
  public String toString () {
    return q.toString();
  }

}
