package intfifo;

import java.util.LinkedList;

public class Queue11 implements FIFO {
  private int max;
  private LinkedList<Integer> q = new LinkedList<Integer> ();
	
  public Queue11 (int max) {
    this.max = max;
  }
	
  public int size () {
    return q.size();
  }
	
  @Override
  public void put(int n) throws FullQueueException {
    if (size() == max) throw new FullQueueException () ;
    if (!q.contains(n))
      q.add(n);
  }

  @Override
  public int get() throws EmptyQueueException {
    if (size () == 0) throw new EmptyQueueException () ;
    return q.poll();
  }

  @Override
  public String toString () {
    return q.toString();
  }

}
